be.ehealth.technicalconnector.service.timestamp.impl

## Class AuthorityServiceImpl

- java.lang.Object
- - be.ehealth.technicalconnector.service.timestamp.impl.AuthorityServiceImpl

- All Implemented Interfaces:
    AuthorityService

      public class AuthorityServiceImpl
      extends Object
      implements AuthorityService

  The Authority Service contains one operation: sign request. This operation can be used to either make a time stamp of one or more documents, or to make a time stamp of the hash value of the original documents. Implementation of `AuthorityService`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthorityServiceImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SignResponse` | `signRequest(X509Certificate certificate, PrivateKey privateKey, SignRequest signRequest)` This operation can be used to either make a time stamp of one or more documents, or to make a time stamp of the hash value of the original documents.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthorityServiceImpl

          public AuthorityServiceImpl()

  - ### Method Detail

    - #### signRequest

          public SignResponse signRequest(X509Certificate certificate,
                                          PrivateKey privateKey,
                                          SignRequest signRequest)
                                   throws TechnicalConnectorException

      Description copied from interface: `AuthorityService`
      This operation can be used to either make a time stamp of one or more documents, or to make a time stamp of the hash value of the original documents.
      Specified by:
        `signRequest` in interface `AuthorityService`
      Parameters:
        `certificate` - X.509 certificate, that includes the public key, of the organization invoking this service. This certificate is used for applying the required web service security policy. Eventually it is used for authentication and authorization purposes by the eHealth-platform.
        `privateKey` - Private key, linked to the X.509 certificate mentioned above.
        `signRequest` - Request message for the Sign Request operation.
      Returns:
        the sign response Response message that is received from the Sign Request operation. This response contains:
        - a valid response: type SignResponse that contains a time stamp Object;
        - or a global error when the processing failed completely.
      Throws:
        `TechnicalConnectorException` - the technical connector exception

Connector Packaging OTMOBILITYIMPROVEMENT 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.